!   X04ABF Example Program Text
!   Mark 24 Release. NAG Copyright 2012.

    Module x04abfe_mod

!     X04ABF Example Program Module:
!            Parameters and User-defined Routines

!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: iget = 0, iset = 1, nout = 6
    Contains
      Subroutine dummy

!       .. Use Statements ..
        Use nag_library, Only: x04abf
!       .. Local Scalars ..
        Integer                          :: nadv
!       .. Executable Statements ..
        Call x04abf(iget,nadv)

        Write (nadv,*)
        Write (nadv,*) 'This is a dummy advisory message'

        Return

      End Subroutine dummy
    End Module x04abfe_mod
    Program x04abfe

!     X04ABF Example Main Program

!     .. Use Statements ..
      Use nag_library, Only: x04abf
      Use x04abfe_mod, Only: dummy, iset, nout
!     .. Implicit None Statement ..
      Implicit None
!     .. Local Scalars ..
      Integer                          :: outchn
!     .. Executable Statements ..
      Write (nout,*) 'X04ABF Example Program Results'

      outchn = nout

      Call x04abf(iset,outchn)

      Call dummy

    End Program x04abfe
